WLANCONFIG(8)

NAME
wlanconfig - Create, destroy and manipulate madwifi VAPs

SYNOPSIS
wlanconfig <vap> create wlandev <base device> wlanmode <mode>

wlanconfig <vap> destroy

wlanconfig <vap> list <list item>

DESCRIPTION
The current MadWifi driver supports multiple APs and concurrent AP/Station mode operation on the same device. The devices are restricted to using the same underlying hardware, thus are limited to coexisting on the same channel and using the same physical layer features. Each instance of an AP or station is called a Virtual AP (or VAP). Each VAP can be in either AP mode, Station Mode, "special" station mode, and Monitor mode. Every VAP has an associated underlying base device which is created when the driver is loaded.

ARGUMENTS

<vap> create [nounit] wlandev <base device> wlanmode <mode> [bssid|-bssid] [nosbeacon]
    Create the interface <vap> using the specified <base device> and <mode>. <vap> can either be a full interface name (e.g. 'ath0'), or just the suffix (e.g. 'ath'), in which case, the kernel will automatically append the next vacant integer. [nounit] will turn off the automatic integer increments.

<vap> destroy
    Removes the given VAP interface. You must specify the full interface name. I.e 'ath0' rather than just 'ath'.

<vap> list <list item>
    Show information about connected peers, keys, channels etc.

AVAILABLE MODES

ahdemo
    Create the station in ad-hoc demo (aka pseudo IBSS) mode.

adhoc
    Create the station in ad-hoc mode.

ap  Create the VAP in AP mode.

monitor
    Create the station in monitor mode.

sta Create the VAP in station mode.

wds Create the station in WDS mode.

OPTIONS

bssid
    Create the VAP using a different MAC address from the underlying device.

-bssid
    Create the VAP using the MAC address of the underlying device.

nosbeacon
    When both station VAPS and AP VAPs coexist, the station should be created with the nosbeacon flag set in order to disable the use of hardware beacon times for the station.

LIST ITEMS

sta or no parameters.
    Show information on associated stations.

scan or ap
    List all visible stations.

chan or freq
    List all channels and frequencies.

active
    List all available channels and frequencies.

keys
    List all of the keys associated with the VAP

caps
    List the capabilities of the given VAP.

wme List WME (Wireless multimedia extensions, aka WMM) parameters.

EXAMPLES

wlanconfig ath create wlandev wifi0 wlanmode sta
    Create a station mode VAP, using wifi0 as the underlying device. The interface wil be called athN, where N is the first free integer. The MAC address will be the same as the underlying device.

wlanconfig ath0 create wlandev wifi0 wlanmode sta
    Create a station mode VAP (ath0) using wifi0 as the underlying device. The MAC address will be the same as the underlying device.

wlanconfig ath0 create wlandev wifi0 wlanmode ap
    wlanconfig ath1 create wlandev wifi0 wlanmode sta nosbeacon
        Create both an AP and a station mode interface.

            wlanconfig ath0 destroy
                Destroy VAP ath0.

            wlanconfig ath0 list scan
                Scan for local stations and access points.

            wlanconfig ath0 create wlandev wifi0 wlanmode ap
                wlanconfig ath1 create wlandev wifi0 wlanmode wds
                    iwconfig ath0 essid "Normal atheros AP" channel 1
                        iwpriv ath1 wds_add <mac of the peer wds ap>
                            iwpriv ath1 wds 1
                                ifconfig ath1 up
                                    ifconfig ath0 up
                                        brctl addbr br0
                                            brctl addif br0 ath1
                                                brctl addif br0 ath0
                                                    ifconfig br0 up
                                                        Create a WDS bridge. See http://madwifi.org/ for more information.

AUTHOR
This manual page was written by Matt Foster <mattfoster@clara.co.uk>, using information from the Atheros user documentation, and MadWiFi users mailing list.